;************************************************************************
;*	VM/3664 CORE CONSTANT												*
;************************************************************************
;
;************************************************************************
;*	SERIAL PORT SPEED													*
;************************************************************************
;BRR:		.EQU	207						; 2400BPS
;BRR:		.EQU	103						; 4800BPS
;BRR:		.EQU	51						; 9600BPS
;BRR:		.EQU	25						;19200BPS
;BRR:		.EQU	15						;31250BPS
BRR:		.EQU	12						;38400BPS
;BRR:		.EQU	8						;57600BPS
;************************************************************************
;*	INITIAL TASK STATUS													*
;************************************************************************
;	00 00 00 00  -> TASK3, TASK2, TASK1, TASK0
;			00	SUPSNED
;			01	(NONE)
;			10	READY	<-INITIAL TASK MUST BE THIS.
;			11	RUN
TASKS:		.EQU	B'00000010
;************************************************************************
;*	TASK INITIAL PRIORITY												*
;************************************************************************
TASK0PINIT:	.EQU	0
TASK1PINIT:	.EQU	0
TASK2PINIT:	.EQU	0
TASK3PINIT:	.EQU	0
;************************************************************************
;*	TASK SWITCH INTERVAL												*
;************************************************************************
;TSI1:		.EQU	B'11100010				;16MHZ / 4 / 256 = 0.064MS
;TSI1:		.EQU	B'11100011				;16MHZ / 8 / 256 = 0.128MS
;TSI1:		.EQU	B'11100010				;16MHZ / 16 / 256 = 0.256MS
;TSI1:		.EQU	B'11100011				;16MHZ / 32 / 256 = 0.512MS
TSI1:		.EQU	B'11100010				;16MHZ / 64 / 256 = 1.024MS
;TSI1:		.EQU	B'11100011				;16MHZ / 128 / 256 = 2.048MS
;************************************************************************
;TSI2:		.EQU	B'01100001				;16MHZ / 4 / 256 = 0.064MS
;TSI2:		.EQU	B'01100001				;16MHZ / 8 / 256 = 0.128MS
;TSI2:		.EQU	B'01100010				;16MHZ / 16 / 256 = 0.256MS
;TSI2:		.EQU	B'01100010				;16MHZ / 32 / 256 = 0.512MS
TSI2:		.EQU	B'01100011				;16MHZ / 64 / 256 = 1.024MS
;TSI2:		.EQU	B'01100011				;16MHZ / 128 / 256 = 2.048MS
TCRA:		.EQU	8						;TCORA VALUE = TASK SWITCH INTERVAL = 16uS*2
;************************************************************************
;*	TIMER W CLOCK														*
;************************************************************************
;TMRWCK:		.EQU	B'00000000			;16MHZ
;;TMRWCK:		.EQU	B'00010000			; 8MHZ
;TMRWCK:		.EQU	B'00100000			; 4MHZ
TMRWCK:		.EQU	B'00110000				; 2MHZ
;************************************************************************
;*	IIC EEPROM ADDRESS													*
;************************************************************************
SLAVE:		.EQU	0						;
;SLAVE:		.EQU	1						;
;SLAVE:		.EQU	2						;
;SLAVE:		.EQU	3						;
;SLAVE:		.EQU	4						;
;SLAVE:		.EQU	5						;
;SLAVE:		.EQU	6						;
;SLAVE:		.EQU	7						;
;************************************************************************
;*	IIC BUS TRANSFER RATE(CPU CLOCK = 16MHz)							*
;************************************************************************
;SPEED:		.EQU	0						;571kHz
;SPEED:		.EQU	1						;400kHz
;SPEED:		.EQU	2						;333kHz
;SPEED:		.EQU	3						;250kHz
;SPEED:		.EQU	4						;200kHz
;SPEED:		.EQU	5						;160kHz
;SPEED:		.EQU	6						;143kHz
SPEED:		.EQU	7						;125kHz
