;************************************************************************
;*	CP/3664 I/O DEFINITION												*
;************************************************************************
;
;************************************************************************
;*	H8/3664 MEMORY MAPPED I/O DEFINITION								*
;************************************************************************
;TIMERW
_TMRW:		.EQU	H'FF80	;TIMER MODE REGISTER W
_TCRW:		.EQU	H'FF81	;TIMER CONTROL REGISTER W
_TIERW:		.EQU	H'FF82	;TIMER INTERRUPT ENABLE REGISTER W
_TSRW:		.EQU	H'FF83	;TIMER STATUS REGISTER W
_TIOR0:		.EQU	H'FF84	;TIMER I/O CONTROL REGISTER 0
_TIOR1:		.EQU	H'FF85	;TIMER I/O CONTROL REGISTER 1
_TCNT:		.EQU	H'FF86	;TIMER COUNTER
_GRA:		.EQU	H'FF88	;GENERAL REGISTER A
_GRB:		.EQU	H'FF8A	;GENERAL REGISTER B
_GRC:		.EQU	H'FF8C	;GENERAL REGISTER C
_GRD:		.EQU	H'FF8E	;GENERAL REGISTER D
;ROM
_FLMCR1:	.EQU	H'FF90	;FLASH MEMORY CONTROL REGISTER 1
_FLMCR2:	.EQU	H'FF91	;FLASH MEMORY CONTROL REGISTER 2
_FLPWCR:	.EQU	H'FF92	;FLASH MEMORY POWER CONTROL REGISTER
_EBR1:		.EQU	H'FF93	;BLOCK ASSIGNMENT REGISTER 1
_FENR:		.EQU	H'FF9B	;FLASH MEMORY ENABLE REGISTER
;TIMERV
_TCRV0:		.EQU	H'FFA0	;TIMER CONTROL REGISTER 0
_TCSRV:		.EQU	H'FFA1	;TIMER CONTROL REGISTER V
_TCORA:		.EQU	H'FFA2	;TIME CONSTANT REGISTER A
_TCORB:		.EQU	H'FFA3	;TIME CONSTANT REGISTER B
_TCNTV:		.EQU	H'FFA4	;TIMER COUNTER V
_TCRV1:		.EQU	H'FFA5	;TIMER COUNTER V1
_TMA:		.EQU	H'FFA6	;TIMER MODE REGISTER A
_TCA:		.EQU	H'FFA7	;TIMER COUNTER A
;SCI3
_SMR:		.EQU	H'FFA8	;SERIAL MODE REGISTER
_BRR:		.EQU	H'FFA9	;BIT RATE REGISTER
_SCR3:		.EQU	H'FFAA	;SERIAL CONTROL REGISTER 3
_TDR:		.EQU	H'FFAB	;TRANSMIT DATA REGISTER
_SSR:		.EQU	H'FFAC	;SERIAL STATUS REGISTER
_RDR:		.EQU	H'FFAD	;RECEIVE DATA REGISTER
;A/D
_ADDRA:		.EQU	H'FFB0	;A/D DATA REGISTER A
_ADDRB:		.EQU	H'FFB2	;A/D DATA REGISTER B
_ADDRC:		.EQU	H'FFB4	;A/D DATA REGISTER C
_ADDRD:		.EQU	H'FFB6	;A/D DATA REGISTER D
_ADCSR:		.EQU	H'FFB8	;A/D CONTROL / STATUS REGISTER
_ADCR:		.EQU	H'FFB9	;A/D CONTROL REGISTER
;WDT
_TCSRWD:	.EQU	H'FFC0	;TIMER CONTROL / STATUS REGISTER WD
_TCWD:		.EQU	H'FFC1	;TIMER COUNTER WD
_TMWD:		.EQU	H'FFC2	;TIMER MODE REGISTER WD
;IIC
_ICCR:		.EQU	H'FFC4	;IIC BUS CONTROL REGISTER
_ICSR:		.EQU	H'FFC5	;IIC BUS STATUS REGISTER
_ICDR:		.EQU	H'FFC6	;IIC BUS DATA REGISTER
_SARX:		.EQU	H'FFC6	;NO.2 SLAVE ADDRESS REGISTER
_ICMR:		.EQU	H'FFC7	;IIC BUS MODE REGISTER
_SAR:		.EQU	H'FFC7	;SLAVE ADDRESS REGISTER
;ADDRESS BREAK
_ABRKCR:	.EQU	H'FFC8	;ADDRESS BREAK CONTROL REGISTER
_ABRKSR:	.EQU	H'FFC9	;ADDRESS BREAK STATUS REGISTER
_BARH:		.EQU	H'FFCA	;BREAK ADDRESS REGISTER H
_BARL:		.EQU	H'FFCB	;BREAK ADDRESS REGISTER L
_BDRH:		.EQU	H'FFCC	;BREAK DATA REGISTER H
_BDRL:		.EQU	H'FFCD	;BREAK DATA REGISTER L
;I/O PORT
_PUCR1:		.EQU	H'FFD0	;PORT PULL UP CONTROL REGISTER 1
_PUCR5:		.EQU	H'FFD1	;PORT PULL UP CONTROL REGISTER 5
_PDR1:		.EQU	H'FFD4	;PORT DATA REGISTER 1
_PDR2:		.EQU	H'FFD5	;PORT DATA REGISTER 2
_PDR5:		.EQU	H'FFD8	;PORT DATA REGISTER 5
_PDR7:		.EQU	H'FFDA	;PORT DATA REGISTER 7
_PDR8:		.EQU	H'FFDB	;PORT DATA REGISTER 8
_PDRB:		.EQU	H'FFDD	;PORT DATA REGISTER B
_PMR1:		.EQU	H'FFE0	;PORT MODE REGISTER 1
_PMR5:		.EQU	H'FFE1	;PORT MODE REGISTER 5
_PCR1:		.EQU	H'FFE4	;PORT CONTROL REGISTER 1
_PCR2:		.EQU	H'FFE5	;PORT CONTROL REGISTER 2
_PCR5:		.EQU	H'FFE8	;PORT CONTROL REGISTER 5
_PCR7:		.EQU	H'FFEA	;PORT CONTROL REGISTER 7
_PCR8:		.EQU	H'FFEB	;PORT CONTROL REGISTER 8
;POWER SAVE
_SYSCR1:	.EQU	H'FFF0	;SYSTEM CONTROL REGISTER 1
_SYSCR2:	.EQU	H'FFF1	;SYSTEM CONTROL REGISTER 2
;INTERRUPT
_IEGR1:		.EQU	H'FFF2	;INTERRUPT EDGE SELECT REGISTER 1
_IEGR2:		.EQU	H'FFF3	;INTERRUPT EDGE SELECT REGISTER 2 
_IENR1:		.EQU	H'FFF4	;INTERRUPT ENABLE REGISTER 1
_IRR1:		.EQU	H'FFF6	;INTERRUPT FLAG REGISTER 1
_IWPR:		.EQU	H'FFF8	;WAKE UP INTERRUPT FLAG REGISTER
;*POWER SAVE
_MSTCR1:	.EQU	H'FFF9	;MODULE STAND-BY CONTROL REGISTER 1
;IIC
_TSCR:		.EQU	H'FFFC	;TIMER SERIAL CONTROL REGISTER
;************************************************************************
;*	H8/3664 EEPROM I/O DEFINITION										*
;************************************************************************
;EEPROM
_EKR:		.EQU	H'FF10	;EEPROM KEY REGISTER
